#include <vector.h>
#include <list.h>


template<class T> 
ostream& operator<< (ostream& o, const vector<T>& v) {
    o << '[';
    vector<T>::const_iterator vi = v.begin();
    for( ; vi != v.end(); ++vi)
        o << *vi << " ";
    return o << ']';
}
    

template<class T> 
ostream& operator<< (ostream& o, const list<T>& v) {
    o << '{';
    list<T>::const_iterator vi = v.begin();
    for( ; vi != v.end(); ++vi)
        o << *vi << " ";
    return o << '}';
}
    

